Subject: [mobile-ip] RFC2002:CORRECTION

From: "Shahrier, Sharif M." <[email-masked]>
Date: Mon, 29 Oct 2001 09:26:11 -0500

Hi,

	I wonder if there is a contradiction in RFC2002 in section 3.7.3.2. 

	In the first paragraph, it states: ".....If Code indicates the
registraton was denied by the home agent, the foreign agent MUST delete its
pending registration list entry, but not its visitor list entry ....."

However, in the last paragraph, it states: ".....if registration was
rejected by the home agent, the foreign agent deletes its visitor list
entry....."

It appears that these are conflicting statements, thus should be corrected.

I take it that the second statement is not correct, but the first one is
correct?

-Sharif.